#macro r(c) pigment{rgb c} finish {phong 1.0 ambient 0.5 diffuse 0.5} #end    

// -------- Finish -------- 

#declare L3FinishOpaque = finish {           // lackiert
	ambient L3Ambient
	diffuse L3Diffuse
	#if (L3Quality >= 2)
		phong 0.5
		phong_size 40
		reflection 0.06
	#end
}

#declare L3FinishOpaque1 = finish {          // Finish: Karton, Holz (matt)
	ambient L3Ambient
	diffuse L3Diffuse
	#if (L3Quality >= 2)
		reflection 0.01
	#end
}
      
   /*   
#declare L3FinishOpaque2 = finish {          // Finish: Holz (matt)
	ambient L3Ambient
	diffuse L3Diffuse
	#if (L3Quality >= 2)
		reflection 0.01
	#end
}
     */
// -------- Textur --------   
  
     
#macro L3TextureOpaqueRGB1(r,g,b)            // Textur: Karton
texture {
	pigment { rgb <r/255,g/255,b/255> }   
	finish { L3FinishOpaque1 }
	normal { bumps 0.15 scale 2 }
}
#end        
 

#macro L3TextureOpaqueRGB2(r,g,b)            // normale Textur, aber mit Finish (Karton, Holz)
texture {
	pigment { rgb <r/255,g/255,b/255> }
	finish { L3FinishOpaque1 }
	#if (L3Bumps & (L3Quality > 1)) normal { L3NormalBumps } #end
}
#end     


#macro L3TextureOpaqueRGB3(r,g,b)            // Holz
texture {
	pigment {
        granite
        color_map{ 
               [0.0 color rgb <0.93,0.73,0.53>]
               [0.7 color rgb <0.93, 0.73, 0.53>]
               [0.7 color rgb <0.69, 0.53, 0.36>]
               [1.0 color rgb <0.69, 0.53, 0.36>]
             }
       scale < 20, 4, 75 >
    }
	finish { L3FinishOpaque1 }  
	
	#if (L3Bumps & (L3Quality > 1)) normal { L3NormalBumps } #end
}
#end      

#macro L3TextureOpaqueRGB3x(r,g,b)            // Holz quer
texture {
	pigment {
        granite
        color_map{ 
               [0.0 color rgb <0.93,0.73,0.53>]
               [0.7 color rgb <0.93, 0.73, 0.53>]
               [0.7 color rgb <0.69, 0.53, 0.36>]
               [1.0 color rgb <0.69, 0.53, 0.36>]
             }
       scale < 20, 4, 75 >              
       rotate x*90
    }
	finish { L3FinishOpaque1 }  
	
	#if (L3Bumps & (L3Quality > 1)) normal { L3NormalBumps } #end
}
#end 

#macro L3TextureOpaqueRGB4(r,g,b)            // normale Textur, aber mit Finish (Karton, Holz)
texture {
	pigment { rgb <r/255,g/255,b/255> }
	finish { L3FinishOpaque1 }         
	normal { quilted control0 1 control1 0.66
	   scale <40, 20, 20>                  // (z=lngs)
	}
}
#end 
     
     
#macro L3TextureBricks()                          
texture { 
   pigment {
      brick  
      brick_size <8, 3, 8 >  
      mortar 0.55
      scale 5
   }    
   
   normal { wrinkles 0.75 scale 0.01}
     finish { diffuse 0.9 phong 0.2}
     
}    
#end  

// ---------------------- 


#macro L3Material(tex)
material {
	texture { tex }
}
#end  


#declare L3Texture_88 = L3TextureOpaqueRGB2(200,200,200)     // Textur (Boden-Farbe)
#declare L3Color_88 = L3Material(L3Texture_88)                                                                            
                                                                          
#declare L3Texture7 = L3TextureOpaqueRGB1(138,146,141)       // Textur (Karton-Farbe)       

#declare L3Texture17 = L3TextureBricks()                     // Textur (Ziegel) 

//// Color 0x04EB8EB8                                Farbe: Holz
#declare L3Texture0x04EB8EB8 = L3TextureOpaqueRGB3(238, 187, 136)           
//// Color 0x04EB8EB7     (quer)                                    
#declare L3Texture0x04EB8EB7 = L3TextureOpaqueRGB3x(238, 187, 136)  
//// Color 0x                               
#declare L3Texture4 = L3TextureOpaqueRGB4(127, 14, 0)  
#declare L3Color4 = L3Material(L3Texture4)

